shishi_as_rep_der(3)

NAME
shishi_as_rep_der - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_rep_der(Shishi_as * as, char ** out, size_t * outlen);

ARGUMENTS

Shishi_as * as
    structure that holds information about AS exchange

char ** out
    output array with newly allocated DER encoding of AS-REP.

size_t * outlen
    length of output array with DER encoding of AS-REP.

DESCRIPTION
DER encode AS-REP. out is allocated by this function, and it is the responsibility of caller to deallocate it.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.